-- copy past from nightmarre pack.
-- load spikeball sprite
freeslot("SPR_SAWQ")

local mace_array = {}
addHook("ThinkFrame", do
    if not mapheaderinfo[gamemap].sawmace or not #mace_array return end
    for i = 1, #mace_array do
        if (mace_array[i] and mace_array[i].valid)
            mace_array[i].sprite = SPR_SAWQ
            mace_array[i].frame = A
        end
    end
end)
-- MapLoad hook to load custom options
addHook("MapLoad", do
    mace_array = {}
    for m in thinkers.iterate("mobj")
        if (m and m.valid)
            [else]if m.type == MT_BIGMACE or m.type == MT_SMALLMACE
                mace_array[#mace_array+1] = m
            end
        end
    end
end)
